KParts::OpenURLEvent Class Reference

`#include <browserextension.h>`

Inheritance diagram for KParts::OpenURLEvent:

## Public Member Functions

| OpenURLEvent (ReadOnlyPart *part, const KURL &url, const URLArgs &args=URLArgs())
ReadOnlyPart * | part () const
KURL | url () const
URLArgs | args () const
Public Member Functions inherited from KParts::Event
| Event (const char *eventName)
virtual const char * | eventName () const

## Static Public Member Functions

static bool | test (const QEvent *event)
Static Public Member Functions inherited from KParts::Event
static bool | test (const QEvent *event)
static bool | test (const QEvent *event, const char *name)

## Detailed Description

The KParts::OpenURLEvent event informs that a given part has opened a given URL.

Applications can use this event to send this information to interested plugins.

The event should be sent before opening the URL in the part, so that the plugins can use part()->url() to get the old URL.

Definition at line 221 of file browserextension.h.

The documentation for this class was generated from the following files:

- browserextension.h
- browserextension.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys